## intlfonts 1.1

=== Makefile ===
INSTALLDIR = /usr/local/share/emacs/fonts

BDFTOPCF = bdftopcf
MKFONTDIR = mkfontdir
COMPRESS =

SUBDIRS =	European Asian Chinese Japanese Ethiopic Misc
SUBDIRS_X =	Chinese-X Japanese-X Korean-X
SUBDIRS_BIG =	European-BIG  Chinese-BIG Japanese-BIG

help:
	@echo "Usage: make [ COMPRESS=compress ] [ all | SUBDIRECTORIES ]"
	@echo
	@echo "This Makefile installs all the fonts in the current directory"
	@echo "to ${INSTALLDIR}."
	@echo
	@echo "If you want to install only some portion of fonts,"
	@echo "give some of the following subdirectories as arguments:"
	@echo "	${SUBDIRS}"
	@echo "	${SUBDIRS_X} ${SUBDIRS_BIG}"
	@echo
	@echo "If you are using a X window system which can handle compressed"
	@echo "fonts (*.pcf.Z), give \"COMPRESS=compress\" as an argument."
	@echo
	@echo "If you want to install fonts to the different directory,"
	@echo "give \"INSTALLDIR=_YOUR_INSTALL_DIRECTORY_\" as an argument."
	@echo
	@echo "Please read README for how to inform your X server about"
	@echo "the new fonts."

${SUBDIRS} ${SUBDIRS_X} ${SUBDIRS_BIG}: FRC
	@[ -d ${INSTALLDIR} ] || mkdir -p ${INSTALLDIR}
	@if [ ! -d $@ ] ; then \
	  if [ -f $@.tar.gz ] ; then \
	    echo "Extracting the archive file $@.tar.gz ..." ; \
	    (zcat $@.tar.gz | tar xf -) ; \
	    chmod a+w $@/*.bdf ; \
	  elif [ -f $@.tar ] ; then \
	    echo "Extracting the archive file $@.tar ..." ; \
	    tar xf $@.tar ; \
	    chmod a+w $@/*.bdf ; \
	  else \
	    echo "Archive file $@.tar.gz does not exist.  Ignore it." ; \
	  fi ; \
	else true ; fi
	@if [ -d $@ ] ; then \
	  pwd=`pwd` ; \
	  cd $@ ; \
	  if [ -z "${COMPRESS}" ] ; then \
	    for f in *.bdf ; do \
	      echo Making ${INSTALLDIR}/`basename $${f} .bdf`.pcf ; \
	      $(BDFTOPCF) $${f} > ${INSTALLDIR}/`basename $${f} .bdf`.pcf ; \
	    done ; \
	  else \
	    for f in *.bdf ; do \
	      echo Making ${INSTALLDIR}/`basename $${f} .bdf`.pcf.Z ; \
	      $(BDFTOPCF) $${f} > ${INSTALLDIR}/`basename $${f} .bdf`.pcf ; \
	      rm -f ${INSTALLDIR}/`basename $${f} .bdf`.pcf.Z ; \
	      $(COMPRESS) ${INSTALLDIR}/`basename $${f} .bdf`.pcf ; \
	    done ; \
	  fi ; \
	  if [ -f fonts.alias ] ; then \
	    if [ -f ${INSTALLDIR}/fonts.alias ] ; then \
	      cat ${INSTALLDIR}/fonts.alias fonts.alias |sort |uniq > temp ; \
	      cat temp > ${INSTALLDIR}/fonts.alias ; \
	      rm -f temp ; \
	    else \
	      cat fonts.alias > ${INSTALLDIR}/fonts.alias ; \
	    fi ; \
	  else true ; fi ; \
	  cd $${pwd}; \
	else true ; fi
	@if [ -d $@ -a ! -f making.all ] ; then \
	  echo "Building ${INSTALLDIR}/fonts.dir..." ; \
	  cd ${INSTALLDIR}; ${MKFONTDIR} ; \
	  echo "-----------------------------------------------------------------------" ; \
	  echo "Please read README for how to inform your X server about the new fonts." ; \
	  echo "-----------------------------------------------------------------------" ; \
	else true ; fi

all:
	@touch making.all
	make COMPRESS="${COMPRESS}" INSTALLDIR=${INSTALLDIR} \
		${SUBDIRS} ${SUBDIRS_X} ${SUBDIRS_BIG}
	@rm -f making.all
	echo "Building ${INSTALLDIR}/fonts.dir..."
	cd ${INSTALLDIR}; $(MKFONTDIR)
	@echo "-----------------------------------------------------------------------"
	@echo "Please read README for how to inform your X server about the new fonts."
	@echo "-----------------------------------------------------------------------"

clean:
	rm -fr ${SUBDIRS} ${SUBDIRS_X} ${SUBDIRS_BIG}

FRC:

## The following target should be used only by a maintainer of intlfonts.
dist: make-dist
	sh make-dist --dist

arc: make-dist
	sh make-dist --arc

split: make-dist
	sh make-dist --split

diff: make-dist
	sh make-dist --diff

pack: make-dist
	sh make-dist --pack

## intlfonts 1.2.1

=== debian/changelog ===
intlfonts (1.2.1-10) unstable; urgency=medium

  * QA upload.
  * Switch to debhelper 9.
  * debian/*.conffiles: Remove because debhelper 9 takes care of that.
  * Switch to "3.0 (quilt)" source format.
  * Use gzip -9n in buildfonts.sh instead of GZIP in debian/rules,
    as there are plans to deprecate the GZIP variable.
  * debian/rules: Drop useless stuff.
  * Change Build-Depends-Indep to Build-Depends (lintian warning).
  * Add ${misc:Depends} to emacs-intl-fonts (lintian warning).
  * Add build-arch and build-indep (lintian warning).
  * emacs-intl-fonts Enhances: emacs24, not emacs21.
  * Improve package descriptions. Closes: #681190.
    Patch by Justin B Rye. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Sun, 13 Sep 2015 14:28:42 +0200

intlfonts (1.2.1-9) unstable; urgency=medium

  * QA upload.
  * debian/compat: Explicitly add file with value of "1".
  * debian/rules: Call buildfonts.sh with sh to save a chmod.
  [ Chris Lamb ]
  * debian/rules: Pass GZIP="-9n" to buildfonts.sh invocation.
    Closes: #777012.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 18:52:22 +0200

intlfonts (1.2.1-8) unstable; urgency=high

  * QA upload.
  * Standard conform reloading services with invoke-rc.d.
    Closes: #553137

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 01 Nov 2009 11:15:37 +0100

intlfonts (1.2.1-7) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Mon, 18 May 2009 14:07:11 +0200

intlfonts (1.2.1-6) unstable; urgency=low

  * Build-depend on debhelper >= 5.0.31.
  * Install fonts.alias files into /etc/X11/fonts/X11R7; closes: #364025.

 -- Milan Zamazal <pdm@debian.org>  Fri, 21 Apr 2006 08:55:32 +0200

intlfonts (1.2.1-5) unstable; urgency=low

  * Move fonts to /usr/share/fonts/X11; closes: #362377, #362379, #362378,
    #362380, #362384, #362385, #362402, #362382.
  * Don't depend on xutils, use ${misc:Depends}.
  * Build-depend on debhelper >= 5.0.29.
  * Don't build-depend on xutils, build-depend on xfonts-utils.
  * Standards 3.6.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 17 Apr 2006 16:19:07 +0200

intlfonts (1.2.1-4) unstable; urgency=low

  * Declared widths of some European fonts fixed; thanks to
    Johan Kullstam <kullstj-nn@comcast.net>; closes: #342795.
  * Information about additional Simplified Chinese fonts added to
    README.Debian; thanks to J. Grant <jg@jguk.org>.

 -- Milan Zamazal <pdm@debian.org>  Wed, 21 Dec 2005 10:58:03 +0100

intlfonts (1.2.1-3) unstable; urgency=low

  * Use invoke-rc.d instead of direct invocation of init scripts;
    closes: #262623.
  * Standards 3.6.1 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sun,  1 Aug 2004 11:16:03 +0200

intlfonts (1.2.1-2) unstable; urgency=low

  * Package descriptions improved, thanks to Marek Habersack
    <grendel@debian.org>; closes: #210053, #210178.

 -- Milan Zamazal <pdm@debian.org>  Fri, 12 Dec 2003 12:15:24 +0100

intlfonts (1.2.1-1) unstable; urgency=high

  * New upstream release.
  * Upstream: Fonts with serious license violation removed; see bug
    #214401.

 -- Milan Zamazal <pdm@debian.org>  Tue,  7 Oct 2003 08:52:24 +0200

intlfonts (1.2-5) unstable; urgency=low

  * xfs-xtt reload added as well; closes: #176593.
  * emacs-intl-fonts: Redundant fonts removed; info about excluded fonts
    added to README.Debian; closes: #191083.
  * Closing dots removed from short package descriptions.
  * Use dh_installxfonts.
  * `postrm' and `prerm' removed.
  * Standards 3.6.0 (no change).
  * Lintian 1.22.8.1 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Thu, 24 Jul 2003 09:01:37 +0200

intlfonts (1.2-4) unstable; urgency=low

  * xfs reload added to postinst; closes: #160913.

 -- Milan Zamazal <pdm@zamazal.org>  Mon, 13 Jan 2003 09:28:54 +0100

intlfonts (1.2-3) unstable; urgency=low

  * Standards 3.5.6.
  * Depend on xutils>>4.0.3.
  * New binary package: emacs-intl-fonts; closes: #150620.
  * Build-Depends changed to Build-Depends-Indep.

 -- Milan Zamazal <pdm@debian.org>  Mon, 12 Aug 2002 17:54:45 +0200
  

intlfonts (1.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make /etc/X11/fonts/misc/xfonts-intl-{chinese,european,japanese}.alias
    conffiles (closes: #132091, #132161, #132172).

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Feb 2002 15:00:49 +0000
  

intlfonts (1.2-2) unstable; urgency=low

  * Additional Chinese font aliases put back; closes: #97027.
  * Directory test in postrm fixed; closes: #97243.

 -- Milan Zamazal <pdm@debian.org>  Sun, 13 May 2001 17:35:36 +0200

intlfonts (1.2-1) unstable; urgency=low

  * New upstream release; closes: #65201, #93970.
  * Standards 3.5.3.
  * add-log-mailing-address removed from this changelog.
  * Depend and build-depend on xutils.
  * rm debian build directories with `-f'.
  * Apply dh_clean on all packages.
  * Add `-is -ip' to dpkg-gencontrol.
  * No lintian 1.20.13 errors.

 -- Milan Zamazal <pdm@debian.org>  Tue,  8 May 2001 20:16:40 +0200

intlfonts (1.1-9) frozen unstable; urgency=low

  * xfonts-intl-european: Typo in Suggests fixed; closes: #59180.

 -- Milan Zamazal <pdm@debian.org>  Sun,  5 Mar 2000 09:48:44 +0100

intlfonts (1.1-8) unstable; urgency=low

  * Do not remove alias file in postrm of packages without alias file;
    closes: #51253.
  * `Conflicts' of intlfonts-european fixed.

 -- Milan Zamazal <pdm@debian.org>  Thu, 25 Nov 1999 20:24:07 +0100

intlfonts (1.1-7) unstable; urgency=low

  * postrm bug fixed; closes: #49772, #49773, #49774, #49775, #49776,
    #49777, #49778, #49779.
  * Standards 3.1.0.
  * Binary packages renamed from intlfonts-* to xfonts-intl-* to have
    names consistent with other X font packages.
  * Cleaning cleaned up.
  * Let the /usr/doc -> /usr/share/doc transition be generated by
    dh_installdocs; use dh_installdocs.
  * Other small improvements in rules.
  * Build dependencies introduced.
  * Dependencies updated to reflect new xfonts-* package names.
  * Lintian 1.10 satisfied.



=== debian/control ===
Source: intlfonts
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), xfonts-utils
Standards-Version: 3.6.2

Package: xfonts-intl-arabic
Architecture: all
Conflicts: intlfonts-arabic
Replaces: intlfonts-arabic
Depends: ${misc:Depends}
Suggests: xfs | xserver, emacs-intl-fonts
Description: international fonts for X - Arabic
 This package includes some Arabic fonts (digits and single and double
 column characters). You will need these fonts if you plan to view, print,
 or author documents written in an Arabic script.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-asian
Architecture: all
Conflicts: intlfonts-asian
Replaces: intlfonts-asian
Depends: ${misc:Depends}
Suggests: xfs | xserver, emacs-intl-fonts
Description: international fonts for X - (south-east) Asian
 This package includes some Indian, Lao, Thai, and Vietnamese fonts. You
 will need these fonts if you plan to view, print, or author documents
 written in the above languages/scripts.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-chinese
Architecture: all
Conflicts: intlfonts-chinese
Replaces: intlfonts-chinese
Depends: ${misc:Depends}
Suggests: xfs | xserver, xfonts-intl-chinese-big, xfonts-cjk, emacs-intl-fonts
Description: international fonts for X - Chinese
 This package includes some GB2312, GB8565-88, Big5 (ETen), and SiSheng
 Chinese fonts. You will need these fonts if you plan to view, print, or
 author documents written in Chinese using the above encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-chinese-big
Architecture: all
Conflicts: intlfonts-chinese-big
Replaces: intlfonts-chinese-big
Depends: ${misc:Depends}
Suggests: xfs | xserver, xfonts-intl-chinese, xfonts-cjk, emacs-intl-fonts
Description: international fonts for X - large Chinese
 This package includes some large GB2312 Chinese fonts. You will need
 these fonts if you plan to view, print, or author documents written in
 Chinese using the above encoding.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-european
Architecture: all
Replaces: intlfonts-european
Conflicts: xfntil2 (<< 2.1), intlfonts-european
Depends: ${misc:Depends}
Suggests: xfs | xserver, xfonts-biznet-iso-8859-2-base, xfonts-biznet-iso-8859-2-75dpi, xfonts-biznet-iso-8859-2-100dpi, emacs-intl-fonts
Description: international fonts for X - European
 This package includes some ISO 8859-1 (Latin-1), ISO 8859-2 (Latin-2),
 ISO 8859-3 (Latin-3), ISO 8859-4 (Latin-4), ISO 8859-5 (Cyrillic),
 ISO 8859-7 (Greek), ISO 8859-8 (Hebrew), ISO 8859-9 (Latin-5), and KOI
 (Cyrillic) fonts. One large ISO 8859-1 font is also included. You will
 need these fonts if you plan to view, print, or author documents using
 the above scripts/encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-japanese
Architecture: all
Conflicts: intlfonts-japanese
Replaces: intlfonts-japanese
Depends: ${misc:Depends}
Suggests: xfs | xserver, xfonts-intl-japanese-big, xfonts-cjk, emacs-intl-fonts
Description: international fonts for X - Japanese
 This package includes some JISX0201 (Roman and Kana), JISX0208.1978,
 JISX0208.1983, JISX0208.1990, and JISX0212.1990 (HojoKanji) Japanese
 fonts. You will need these fonts if you plan to view, print, or author
 documents written in Japanese using the above encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-japanese-big
Architecture: all
Conflicts: intlfonts-japanese-big
Replaces: intlfonts-japanese-big
Depends: ${misc:Depends}
Suggests: xfs | xserver, xfonts-intl-japanese, xfonts-cjk, emacs-intl-fonts
Description: international fonts for X - large Japanese
 This package includes some large JISX0208.1983 and JISX0212.1990
 (HojoKanji) Japanese fonts. You will need these fonts if you plan to
 view, print, or author documents written in Japanese using the above
 encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-phonetic
Architecture: all
Conflicts: intlfonts-phonetic
Replaces: intlfonts-phonetic
Depends: ${misc:Depends}
Suggests: xfs | xserver, emacs-intl-fonts
Description: international fonts for X - International Phonetic Alphabet
 This package includes some fonts of the International Phonetic Alphabet.
 You will need these fonts if you plan to view, print, or author documents
 using the International Phonetic Alphabet. IPA is used, for instance, in
 dictionaries to represent pronunciations in a non-language-specific way.
 .
 The fonts are for use with the X Window System.

Package: emacs-intl-fonts
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Suggests: xfonts-intl-arabic, xfonts-intl-asian, xfonts-intl-chinese, xfonts-intl-chinese-big, xfonts-intl-european, xfonts-intl-japanese, xfonts-intl-japanese-big, xfonts-intl-phonetic
Enhances: emacs24
Description: fonts to allow multilingual PostScript printing from Emacs
 This package includes BDF fonts to print Amharic, Arabic, Cantonese,
 Chinese, Czech, Danish, Dutch, Esperanto, Estonian, Finnish, French,
 German, Greek, Hebrew, Hindi, Italian, Japanese, Korean, Maltese,
 Norwegian, Polish, Russian, Slovak, Spanish, Swedish, Thai, Tigrinya,
 Turkish, and Vietnamese text as bit-mapped PostScript. To see these
 languages in X, you can use the xfonts-intl-* packages (among others).

=== debian/rules ===
#!/usr/bin/make -f

nameprefix := xfonts-intl
packages := arabic asian chinese chinese-big european japanese japanese-big \
            phonetic
emacspackage := emacs-intl-fonts
fontdir := /usr/share/fonts/X11/misc/
etcfontdir := /etc/X11/fonts/X11R7/misc/

build:
	sh buildfonts.sh
	touch build

clean:
	rm -f build
	set -e; for p in $(packages); do \
		dh_clean -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
	done
	dh_clean -Pdebian/tmp-emacs -pemacs-intl-fonts
	set -e; for s in postinst prerm postrm; do \
		rm -f debian/*.$$s; \
	done
	rm -f debian/postinst.*
	find -name '*.pcf' -o -name '*.pcf.gz' | xargs -r rm

binary-indep: build
	find debian/* -type d ! -name patches ! -name source | xargs -r rm -rf
	set -e; for p in $(packages); do \
		install -d debian/tmp-$$p$(fontdir); \
	done
	install -m 644 Asian/*.pcf.gz \
		debian/tmp-asian$(fontdir)
	install -m 644 Chinese/*.pcf.gz \
		debian/tmp-chinese$(fontdir)
	install -m 644 Chinese.BIG/*.pcf.gz \
		debian/tmp-chinese-big$(fontdir)
	install -m 644 European/*.pcf.gz European.BIG/*.pcf.gz \
		Misc/*heb*.pcf.gz \
		debian/tmp-european$(fontdir)
	install -m 644 Japanese/*.pcf.gz \
		debian/tmp-japanese$(fontdir)
	install -m 644 Japanese.BIG/*.pcf.gz \
		debian/tmp-japanese-big$(fontdir)
	install -m 644 Misc/*arab*.pcf.gz \
		debian/tmp-arabic$(fontdir)
	install -m 644 Misc/*ipa*.pcf.gz \
		debian/tmp-phonetic$(fontdir)
	install -d debian/tmp-european$(etcfontdir)
	install -m 644 European/fonts.alias \
		debian/tmp-european$(etcfontdir)$(nameprefix)-european.alias
	install -d debian/tmp-chinese$(etcfontdir)
	install -m 644 Chinese/fonts.alias \
		debian/tmp-chinese$(etcfontdir)$(nameprefix)-chinese.alias
	install -d debian/tmp-japanese$(etcfontdir)
	install -m 644 Japanese/fonts.alias \
		debian/tmp-japanese$(etcfontdir)$(nameprefix)-japanese.alias
	install -d debian/tmp-emacs/usr/share/emacs/fonts/bdf
	set -e; for F in `cat debian/emacs-font-list`; do \
		FILE=`find -not -path '*/debian/*' -name $$F`; \
		if [ -n "$$FILE" ]; then \
			install -m 644 $$FILE \
				debian/tmp-emacs/usr/share/emacs/fonts/bdf/; \
		fi; \
		done
	set -e; for p in $(packages); do \
		dh_installdocs -Pdebian/tmp-$$p -p$(nameprefix)-$$p NEWS; \
		dh_installchangelogs -Pdebian/tmp-$$p -p$(nameprefix)-$$p \
			ChangeLog; \
		cp debian/postinst debian/$(nameprefix)-$$p.postinst; \
		chmod 755 debian/$(nameprefix)-$$p.postinst; \
		dh_installxfonts -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
		dh_compress -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
		dh_md5sums -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
		dh_fixperms -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
		dh_installdeb -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
		dh_gencontrol -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
		dh_builddeb -Pdebian/tmp-$$p -p$(nameprefix)-$$p; \
	done
	# the Emacs package
	dh_installdocs -Pdebian/tmp-emacs -pemacs-intl-fonts NEWS
	dh_installchangelogs -Pdebian/tmp-emacs -pemacs-intl-fonts ChangeLog
	set -e; for command in dh_installemacsen dh_compress dh_md5sums  \
		dh_installdeb dh_gencontrol dh_builddeb; do \
		$$command -Pdebian/tmp-emacs -pemacs-intl-fonts; \
	done

binary-arch: build

binary: binary-indep binary-arch

build-arch: build

build-indep: build

.PHONY: binary binary-arch binary-indep build-arch build-indep clean

## intlfonts 1.4.2

=== debian/changelog ===
intlfonts (1.4.2-3) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * Switch debian/watch to format version 5.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Thu, 18 Dec 2025 21:15:00 +0100

intlfonts (1.4.2-2) unstable; urgency=medium

  * QA upload.
  * Fix file conflict with xfonts-thai-nectec (Closes: #1089093)

 -- Andreas Tille <tille@debian.org>  Thu, 10 Apr 2025 13:24:39 +0200

intlfonts (1.4.2-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * QA upload.
  * debian/postinst: Removed. Both xfs and xfs-xtt has
    disappeared for more than 10 years.
  * debian/control: Add Vcs-*; Add homepage; Bump S-D.
  * debian/control: Mark all packages as Multi-Arch: foreign.
  * debian/control: Drop all package suggestion to xfs.
  * debian/compat: Dropped.
  * debian/changelog: Remove trailing spaces
  * debian/rules: Replace deprecated /etc/X11/fonts/X11R7/misc/
    with /etc/X11/fonts/misc/.
  * debian/buildfonts.sh: Move the custom buildfonts.sh into
    debian/ subdir.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1075988
  * Remove xfonts-intl-chinese-big due to unclear copyright of
    the fonts (and add NEWS.Debian about this)
  * Add watch file
  * d/rules: switch to dh
  * d/control: Section: fonts
  * Standards-Version: 4.7.0 (routine-update)
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Do not conflict with packages not even in o-o-stable any more

 -- Andreas Tille <tille@debian.org>  Sun, 24 Nov 2024 08:16:16 +0100

intlfonts (1.2.1-10.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:17:40 +0100

=== debian/control ===
Source: intlfonts
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: fonts
Build-Depends: debhelper-compat (= 13),
               xfonts-utils
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/intlfonts
Vcs-Git: https://salsa.debian.org/debian/intlfonts.git
Homepage: https://www.gnu.org/software/intlfonts/

Package: xfonts-intl-arabic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver,
          emacs-intl-fonts
Description: international fonts for X - Arabic
 This package includes some Arabic fonts (digits and single and double
 column characters). You will need these fonts if you plan to view, print,
 or author documents written in an Arabic script.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-asian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver,
          emacs-intl-fonts
Description: international fonts for X - (south-east) Asian
 This package includes some Indian, Lao, Thai, and Vietnamese fonts. You
 will need these fonts if you plan to view, print, or author documents
 written in the above languages/scripts.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver,
          xfonts-cjk,
          emacs-intl-fonts
Conflicts: xfonts-intl-chinese-big
Replaces: xfonts-intl-chinese-big
Provides: xfonts-intl-chinese-big
Description: international fonts for X - Chinese
 This package includes some GB2312, GB8565-88, Big5 (ETen), and SiSheng
 Chinese fonts. You will need these fonts if you plan to view, print, or
 author documents written in Chinese using the above encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-european
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver,
          xfonts-biznet-iso-8859-2-base,
          xfonts-biznet-iso-8859-2-75dpi,
          xfonts-biznet-iso-8859-2-100dpi,
          emacs-intl-fonts
Description: international fonts for X - European
 This package includes some ISO 8859-1 (Latin-1), ISO 8859-2 (Latin-2),
 ISO 8859-3 (Latin-3), ISO 8859-4 (Latin-4), ISO 8859-5 (Cyrillic),
 ISO 8859-7 (Greek), ISO 8859-8 (Hebrew), ISO 8859-9 (Latin-5), and KOI
 (Cyrillic) fonts. One large ISO 8859-1 font is also included. You will
 need these fonts if you plan to view, print, or author documents using
 the above scripts/encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver,
          xfonts-intl-japanese-big,
          xfonts-cjk,
          emacs-intl-fonts
Description: international fonts for X - Japanese
 This package includes some JISX0201 (Roman and Kana), JISX0208.1978,
 JISX0208.1983, JISX0208.1990, and JISX0212.1990 (HojoKanji) Japanese
 fonts. You will need these fonts if you plan to view, print, or author
 documents written in Japanese using the above encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-japanese-big
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver,
          xfonts-intl-japanese,
          xfonts-cjk,
          emacs-intl-fonts
Description: international fonts for X - large Japanese
 This package includes some large JISX0208.1983 and JISX0212.1990
 (HojoKanji) Japanese fonts. You will need these fonts if you plan to
 view, print, or author documents written in Japanese using the above
 encodings.
 .
 The fonts are for use with the X Window System.

Package: xfonts-intl-phonetic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: xserver,
          emacs-intl-fonts
Description: international fonts for X - International Phonetic Alphabet
 This package includes some fonts of the International Phonetic Alphabet.
 You will need these fonts if you plan to view, print, or author documents
 using the International Phonetic Alphabet. IPA is used, for instance, in
 dictionaries to represent pronunciations in a non-language-specific way.
 .
 The fonts are for use with the X Window System.

Package: emacs-intl-fonts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         emacsen-common
Suggests: xfonts-intl-arabic,
          xfonts-intl-asian,
          xfonts-intl-chinese,
          xfonts-intl-chinese-big,
          xfonts-intl-european,
          xfonts-intl-japanese,
          xfonts-intl-japanese-big,
          xfonts-intl-phonetic
Description: fonts to allow multilingual PostScript printing from Emacs
 This package includes BDF fonts to print Amharic, Arabic, Cantonese,
 Chinese, Czech, Danish, Dutch, Esperanto, Estonian, Finnish, French,
 German, Greek, Hebrew, Hindi, Italian, Japanese, Korean, Maltese,
 Norwegian, Polish, Russian, Slovak, Spanish, Swedish, Thai, Tigrinya,
 Turkish, and Vietnamese text as bit-mapped PostScript. To see these
 languages in X, you can use the xfonts-intl-* packages (among others).

=== debian/rules ===
#!/usr/bin/make -f

nameprefix := xfonts-intl
packages := arabic asian chinese european japanese japanese-big \
            phonetic
emacspackage := emacs-intl-fonts
fontdir := /usr/share/fonts/X11/misc/
etcfontdir := /etc/X11/fonts/misc/

%:
	dh $@

override_dh_auto_build:
	sh $(CURDIR)/debian/buildfonts.sh
	touch build

execute_after_dh_auto_clean:
	rm -f build
	find -name '*.pcf' -o -name '*.pcf.gz' | xargs -r rm

override_dh_auto_install-arch:
	echo "Nothing to do."

override_dh_auto_install-indep:
	find debian/* -type d ! -name patches ! -name source | xargs -r rm -rf
	set -e; for p in $(packages); do \
		install -d debian/$(nameprefix)-$$p$(fontdir); \
	done
	install -m 644 Asian/*.pcf.gz \
		debian/$(nameprefix)-asian$(fontdir)
	install -m 644 Chinese/*.pcf.gz \
		debian/$(nameprefix)-chinese$(fontdir)
	install -m 644 European/*.pcf.gz European.BIG/*.pcf.gz \
		Misc/*heb*.pcf.gz \
		debian/$(nameprefix)-european$(fontdir)
	install -m 644 Japanese/*.pcf.gz \
		debian/$(nameprefix)-japanese$(fontdir)
	install -m 644 Japanese.BIG/*.pcf.gz \
		debian/$(nameprefix)-japanese-big$(fontdir)
	install -m 644 Misc/*arab*.pcf.gz \
		debian/$(nameprefix)-arabic$(fontdir)
	install -m 644 Misc/*ipa*.pcf.gz \
		debian/$(nameprefix)-phonetic$(fontdir)
	install -d debian/$(nameprefix)-european$(etcfontdir)
	install -m 644 European/fonts.alias \
		debian/$(nameprefix)-european$(etcfontdir)$(nameprefix)-european.alias
	install -d debian/$(nameprefix)-chinese$(etcfontdir)
	install -m 644 Chinese/fonts.alias \
		debian/$(nameprefix)-chinese$(etcfontdir)$(nameprefix)-chinese.alias
	install -d debian/$(nameprefix)-japanese$(etcfontdir)
	install -m 644 Japanese/fonts.alias \
		debian/$(nameprefix)-japanese$(etcfontdir)$(nameprefix)-japanese.alias
	install -d debian/$(emacspackage)/usr/share/emacs/fonts/bdf
	set -e; for F in `cat debian/emacs-font-list`; do \
		FILE=`find -not -path '*/debian/*' -name $$F`; \
		if [ -n "$$FILE" ]; then \
			install -m 644 $$FILE \
				debian/$(emacspackage)/usr/share/emacs/fonts/bdf/; \
		fi; \
		done
	# Thai fonts are also in package xfonts-thai-nectec (see bug #1089093)
	find debian -name "thai18*.pcf*" -delete

override_dh_installxfonts:
	set -e; for p in $(packages); do \
	    dh_installxfonts -Pdebian/$(nameprefix)-$$p -p$(nameprefix)-$$p; \
	done

override_dh_installdocs:
	set -e; for p in $(packages) ; do \
	    dh_installdocs -p$(nameprefix)-$$p NEWS; \
	done
	dh_installdocs -p$(emacspackage) NEWS
	cp -a debian/xfonts-intl-chinese.NEWS.Debian debian/xfonts-intl-chinese/usr/share/doc/xfonts-intl-chinese/NEWS.Debian

=== debian/watch ===
Version: 5

Source: https://ftp.gnu.org/gnu/@PACKAGE@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
